EdgeNGramTokenFilter (Lucene 2.4.1 API)
Keywords: org.apache.lucene.analysis.ngram.EdgeNGramTokenFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.ngram
Class EdgeNGramTokenFilter

    java.lang.Object
      org.apache.lucene.analysis.TokenStream
          org.apache.lucene.analysis.TokenFilter
              org.apache.lucene.analysis.ngram.EdgeNGramTokenFilter

    public class EdgeNGramTokenFilter

extends TokenFilter

Tokenizes the given token into n-grams of given size(s). This filter create n-grams from the beginning edge or ending edge of a input token.

Nested Class Summary
`static class` | `EdgeNGramTokenFilter.Side` Specifies which side of the input the n-gram should be generated from

Field Summary
`static int` | `DEFAULT_MAX_GRAM_SIZE`
`static int` | `DEFAULT_MIN_GRAM_SIZE`
`static EdgeNGramTokenFilter.Side` | `DEFAULT_SIDE`

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`protected` | `EdgeNGramTokenFilter(TokenStream input)`
`` | `EdgeNGramTokenFilter(TokenStream input, EdgeNGramTokenFilter.Side side, int minGram, int maxGram)` Creates EdgeNGramTokenFilter that can generate n-grams in the sizes of the given range
`` | `EdgeNGramTokenFilter(TokenStream input, String sideLabel, int minGram, int maxGram)` Creates EdgeNGramTokenFilter that can generate n-grams in the sizes of the given range

Method Summary
`Token` | `next(Token reusableToken)` Returns the next token in the stream, or null at EOS.

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, reset`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`next`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_SIDE

    public static final EdgeNGramTokenFilter.Side DEFAULT_SIDE

### DEFAULT_MAX_GRAM_SIZE

    public static final int DEFAULT_MAX_GRAM_SIZE

See Also:
  Constant Field Values

### DEFAULT_MIN_GRAM_SIZE

    public static final int DEFAULT_MIN_GRAM_SIZE

See Also:
  Constant Field Values

Constructor Detail

### EdgeNGramTokenFilter

    protected EdgeNGramTokenFilter(TokenStream input)

### EdgeNGramTokenFilter

    public EdgeNGramTokenFilter(TokenStream input,
                                EdgeNGramTokenFilter.Side side,
                                int minGram,
                                int maxGram)

  Creates EdgeNGramTokenFilter that can generate n-grams in the sizes of the given range

  Parameters:
    `input` - TokenStream holding the input to be tokenized
    `side` - the `EdgeNGramTokenFilter.Side` from which to chop off an n-gram
    `minGram` - the smallest n-gram to generate
    `maxGram` - the largest n-gram to generate

### EdgeNGramTokenFilter

    public EdgeNGramTokenFilter(TokenStream input,
                                String sideLabel,
                                int minGram,
                                int maxGram)

  Creates EdgeNGramTokenFilter that can generate n-grams in the sizes of the given range

  Parameters:
    `input` - TokenStream holding the input to be tokenized
    `sideLabel` - the name of the `EdgeNGramTokenFilter.Side` from which to chop off an n-gram
    `minGram` - the smallest n-gram to generate
    `maxGram` - the largest n-gram to generate

Method Detail

### next

    public final Token next(Token reusableToken)
                     throws IOException

  Returns the next token in the stream, or null at EOS.

  Overrides:
    `next` in class `TokenStream`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.